AdGuard Home安装方法
第一种:docker安装adguardhome
https://hub.docker.com/r/adguard/adguardhome
SSH连接路由器
拉取 Docker 镜像
此命令将拉取最新的稳定版
docker pull adguard/adguardhome
在手动安装容器
mosdns安装方法:
打开网止:https://github.com/IrineSistiana/mosdns
https://irine-sistiana.gitbook.io/mosdns-wiki/mosdns-v4
-
登录 OpenWrt 终端(SSH)
-
安装curl
包
opkg update
opkg install curl
执行安装脚本(多架构支持)
sh -c "$(curl -ksS https://raw.githubusercontent.com/sbwml/luci-app-mosdns/v5/install.sh)"
第二种方式:可以通过openwrt的TTYD登录
if [ -f /etc/openwrt_release ]; then
. /etc/openwrt_release
version=$(echo ${DISTRIB_RELEASE%%.*})
platform=$(echo $DISTRIB_ARCH)
echo -e "${RED_COLOR}Unknown OpenWRT Version${RES}"
exit 1
# TMP
TMPDIR=$(mktemp -d) || exit 1
# GitHub mirror
ip_info=$(curl -sk https://ip.cooluc.com)
country_code=$(echo $ip_info | sed -r 's/.*country_code":"([^"]*).*/\1/')
if [ $country_code = "CN" ]; then
google_status=$(curl -I -4 -m 3 -o /dev/null -s -w %{http_code} http://www.google.com/generate_204)
if [ ! $google_status = "204" ];then
mirror="https://github.cooluc.com/"
# Check
CHECK() (
echo -e "\r\n${GREEN_COLOR}Checking available space ...${RES}"
ROOT_SPACE=$(df -m /usr | awk 'END{print $4}')
if [ $ROOT_SPACE -lt 40 ]; then
echo -e "\r\n${RED_COLOR}Error, The system storage space is less than 40MB.${RES}"
exit 1;
echo -e "\r\n${GREEN_COLOR}Checking platform ...${RES}\r\n"
prebuilt="aarch64_cortex-a53 aarch64_cortex-a72 aarch64_generic arm_arm1176jzf-s_vfp arm_arm926ej-s arm_cortex-a15_neon-vfpv4 arm_cortex-a5_vfpv4 arm_cortex-a7 arm_cortex-a7_neon-vfpv4 arm_cortex-a8_vfpv3 arm_cortex-a9 arm_cortex-a9_neon arm_cortex-a9_vfpv3-d16 arm_fa526 arm_mpcore arm_xscale i386_pentium-mmx i386_pentium4 mips64_octeonplus mips_24kc mips_4kec mips_mips32 mipsel_24kc mipsel_24kc_24kf mipsel_74kc mipsel_mips32 x86_64"
verif=$(expr match "$prebuilt" ".*\($platform\)")
if [[ ! $verif ]]; then
echo -e "${RED_COLOR}Error! The current \"$platform\" platform is not currently supported.${RES}"
exit 1;
echo -e "${GREEN_COLOR}Update opkg sources ...${RES}"
opkg update
opkg install luci-compat
DOWNLOAD() (
echo -e "\r\n${GREEN_COLOR}Download Packages ...${RES}\r\n"
# get repos info
mosdns_version=`curl -sk https://api.github.com/repos/sbwml/luci-app-mosdns/releases | grep "tag_name" | grep v5 | head -n 1 | awk -F ":" '{print $2}' | sed 's/\"//g;s/,//;s/ //'`
curl -sk --connect-timeout 10 "https://api.github.com/repos/sbwml/luci-app-mosdns/releases" | grep "browser_download_url" | grep "$mosdns_version" > $TMPDIR/releases.txt
if [ $? -ne 0 ]; then
echo -e "${RED_COLOR}Failed to get version information, Please check the network status.${RES}"
rm -rf $TMPDIR
exit 1
mosdns=$(cat $TMPDIR/releases.txt | grep "browser_download_url" | grep mosdns_5 | grep $platform.ipk | head -1 | awk '{print $2}' | sed 's/\"//g')
v2dat=$(cat $TMPDIR/releases.txt | grep "browser_download_url" | grep v2dat_ | grep $platform.ipk | head -1 | awk '{print $2}' | sed 's/\"//g')
luci_app=$(cat $TMPDIR/releases.txt | grep "browser_download_url" | grep luci-app-mosdns_ | head -1 | awk '{print $2}' | sed 's/\"//g')
luci_i18n=$(cat $TMPDIR/releases.txt | grep "browser_download_url" | grep luci-i18n-mosdns-zh-cn | head -1 | awk '{print $2}' | sed 's/\"//g')
geoip=$(cat $TMPDIR/releases.txt | grep "browser_download_url" | grep v2ray-geoip | head -1 | awk '{print $2}' | sed 's/\"//g')
geosite=$(cat $TMPDIR/releases.txt | grep "browser_download_url" | grep v2ray-geosite | head -1 | awk '{print $2}' | sed 's/\"//g')
# download
echo -e "${GREEN_COLOR}Download $mosdns ...${RES}"
curl --connect-timeout 30 -m 600 -kLo "$TMPDIR/mosdns_$platform.ipk" $mirror$mosdns
if [ $? -ne 0 ]; then
echo -e "${RED_COLOR}Error! download $mosdns failed.${RES}"
rm -rf $TMPDIR
exit 1
echo -e "${GREEN_COLOR}Download $v2dat ...${RES}"
curl --connect-timeout 30 -m 600 -kLo "$TMPDIR/v2dat_$platform.ipk" $mirror$v2dat
if [ $? -ne 0 ]; then
echo -e "${RED_COLOR}Error! download $v2dat failed.${RES}"
rm -rf $TMPDIR
exit 1
echo -e "${GREEN_COLOR}Download $luci_app ...${RES}"
curl --connect-timeout 30 -m 600 -kLo "$TMPDIR/luci-app-mosdns.ipk" $mirror$luci_app
if [ $? -ne 0 ]; then
echo -e "${RED_COLOR}Error! download $luci_app failed.${RES}"
rm -rf $TMPDIR
exit 1
echo -e "${GREEN_COLOR}Download $luci_i18n ...${RES}"
curl --connect-timeout 30 -m 600 -kLo "$TMPDIR/luci-i18n-mosdns-zh-cn.ipk" $mirror$luci_i18n
if [ $? -ne 0 ]; then
echo -e "${RED_COLOR}Error! download $luci_i18n failed.${RES}"
rm -rf $TMPDIR
exit 1
echo -e "${GREEN_COLOR}Download $geoip ...${RES}"
curl --connect-timeout 30 -m 600 -kLo "$TMPDIR/geoip.ipk" $mirror$geoip
if [ $? -ne 0 ]; then
echo -e "${RED_COLOR}Error! download $geoip failed.${RES}"
rm -rf $TMPDIR
exit 1
echo -e "${GREEN_COLOR}Download $geosite ...${RES}"
curl --connect-timeout 30 -m 600 -kLo "$TMPDIR/geosite.ipk" $mirror$geosite
if [ $? -ne 0 ]; then
echo -e "${RED_COLOR}Error! download $geosite failed.${RES}"
rm -rf $TMPDIR
exit 1
INSTALL() (
# Install
echo -e "\r\n${GREEN_COLOR}Install Packages ...${RES}\r\n"
opkg install --force-overwrite $TMPDIR/geoip.ipk
opkg install --force-overwrite $TMPDIR/geosite.ipk
opkg install $TMPDIR/v2dat_$platform.ipk
opkg install $TMPDIR/mosdns_$platform.ipk
opkg install $TMPDIR/luci-app-mosdns.ipk
opkg install $TMPDIR/luci-i18n-mosdns-zh-cn.ipk
rm -rf $TMPDIR /tmp/luci-*
echo -e "${GREEN_COLOR}Done!${RES}"
CHECK && DOWNLOAD && INSTALL
sh ./install.sh
运行即可。
也可手动下载
Download https://github.com/sbwml/luci-app-mosdns/releases/download/v5.3.1/mosdns_5.3.1-1_aarch64_generic.ipk
Download https://github.com/sbwml/luci-app-mosdns/releases/download/v5.3.1/v2dat_2022-12-15-47b8ee51-1_aarch64_generic.ipk
Download https://github.com/sbwml/luci-app-mosdns/releases/download/v5.3.1/luci-app-mosdns_1.5.16_all.ipk
Download https://github.com/sbwml/luci-app-mosdns/releases/download/v5.3.1/luci-i18n-mosdns-zh-cn_git-23.309.43711-74d15c2_all.ipk
Download https://github.com/sbwml/luci-app-mosdns/releases/download/v5.3.1/v2ray-geoip_2023-11-06_all.ipk
Download https://github.com/sbwml/luci-app-mosdns/releases/download/v5.3.1/v2ray-geosite_2023-11-06_all.ipk
第二种方式:可以通过openwrt的TTYD登录。登录 OpenWrt 终端(SSH)使用 vi install.sh。执行安装脚本(多架构支持)拉取 Docker 镜像。此命令将拉取最新的稳定版。
一、nlbw
mo
n的
安装
与简介
使用
Openwrt
后,我们自然希望它拥有更多的高级功能,这其中就包括对于数据流量的统计。
我们知道
Openwrt
基于Linux系统,而Linux系统自带了简易的带宽及流量统计功能,但该功能十分“简陋”,保存的数据在系统重启之后便丢失了,并且也没有针对设备、日期、类型的归类统计功能,为此,我们需要使用第三方的工具——nlbw
mo
n。
上图为“网络-接口”选项卡的粗略统计
本文章针对编译时已经
安装
了nlbw
mo
n的斐讯K3路由器,其它设备可通过opkg自行
安装
尝试。
如图所示为Luci下的nlbw
mo
n统计展示页面
nlbw
mo
n实质上应当是监控从CPU软转发
有时候小喵咪用的是比科学s力量要多的,本文记录一下,如何使用
AD
Guard
Home
搭配小喵咪的用法,这里就不多墨迹了。
AD
Guard
Home
的具体设置就不说了,到处都有,我这里的配置方式是
我这里设置的监听端口是3001,这个要记住。
小喵咪的设置也直接上图,
去掉所有的自定义上游服务器,然后自己加一个
另外为了防止下载跑流量,
好,到此为止,用了一段时间没发现啥问题。
一、
Ad
Guard
Home
简介
本篇文章分享如何使用
Ad
Guard
Home
让家里访问到网络 没有广告 没有跟踪。同时在文章下半部分介绍一些比较好的拦截规则。奔着规则来的小伙伴可以直接往下滑。
关于
Ad
Guard
Home
...
此仓库为smartdns独立仓库,为单独编译使用,在
安装
此界面前,需要先
安装
smartdns进程编译脚本。请先
安装
仓库分为两个分支
master分支为
openwrt
19.07之后版本使用,此版本基于javascript。
lede分支为lede分支使用,此版本基于lua。
使用时,请使用配套的版本。
如下命令操作路径为
openwrt
源代码所在目录。
复制仓库中的文件到如下目录,并执行
安装
feeds/luci/applications/luci-app-smartdns/
./scripts/feeds install luci -a
lede请下载lede分支
执行
openwrt
配置,可以选择luci-app-smartdns
选择路径:
LuCI> 3.应用> luci-app-smartdns
make menuconfig
推荐开源项目:luci-app-
mo
sdn
s - 定制化DNS转发器的完美伙伴
项目地址:https://gitcode.com/sbwml/luci-app-
mo
sdn
s
luci-app-
mo
sdn
s 是一个基于插件的DNS前向器,旨在让网络用户能够根据自身需求自由拼接插件,定制属于自己的DNS处理逻辑。这个项目是针对
OpenWrt
系统设计的,通过提供直观的图形界面,使得配置和管理D...
A:以下是在
OpenWrt
上
安装
Home
Assistant的简单步骤:
1. 首先,确保您的
OpenWrt
路由器上已启用SSH和Web界面,并具有足够的存储空间以
安装
Home
Assistant。
2. 使用SSH连接到您的
OpenWrt
路由器。
3. 在命令行中运行以下命令来更新并
安装
Python:opkg update, opkg install python3.
4.
安装
Home
Assistant所需的其他软件包。运行以下命令:opkg install python3-pip python3-setuptools python3-wheel libcurl4-nss-dev python3-cryptography python3-async-timeout python3-aiohttp python3-aiohttp-cors
5.
安装
Home
Assistant。在命令行中运行以下命令:python3 -m pip install
home
assistant
6. 当
Home
Assistant
安装
完成后,运行以下命令来启动它:hass --open-ui
7. 等待几分钟后,
Home
Assistant的Web界面应该会在浏览器中打开。如果你的路由器拥有IP:192.168.1.1,可以在浏览器中输入 http://192.168.1.1:8123/ 来访问
Home
Assistant。
请注意,这只是
Home
Assistant的基本
安装
方法
,如果您想学习更多高级功能,请查看
Home
Assistant官方文档。